Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76749 - Postfix spec file should inherit CCARGS/AUXLIBS envars
Summary: Postfix spec file should inherit CCARGS/AUXLIBS envars
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postfix
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-25 19:09 UTC by Corey Crawford
Modified: 2007-04-18 16:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-13 15:19:20 UTC


Attachments (Terms of Use)

Description Corey Crawford 2002-10-25 19:09:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461)

Description of problem:
When rebuilding or recompiling the postfix RPM via the postfix src rpm it would 
be exceptionally nice if it looked at your CCARGS and AUXLIBS environment 
variables for compilation. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set CCARGS with '> export CCARGS="-I/usr/include/mysql"'
2. Run rpmbuild --rebuild or --recompile on src.rpm

	

Actual Results:  Compiles with predefined CCARGS and AUXLIBS - defined in 
postfix.spec

Expected Results:  Should inherit exported args to allow for customized building

Additional info:

<><> START DIFF -U <><>
--- postfix-old.spec    2002-10-25 12:15:40.000000000 -0600
+++ postfix.spec        2002-10-25 12:11:24.000000000 -0600
@@ -143,8 +143,8 @@
 %build
 umask 022

-CCARGS=
-AUXLIBS=
+CCARGS=${CCARGS}
+AUXLIBS=${AUXLIBS}

 %ifarch s390 s390x ppc
 CCARGS="${CCARGS} -fsigned-char"
<><> END DIFF -U <><>

Comment 3 John Dennis 2003-06-13 15:19:20 UTC
Here at Red Hat we worry a lot about reproducable builds. Having the spec file
inadvertantly pick something up from the environment is an uncomfortable
feeling. It's easy to edit the spec file and I think thats the right answer in
this case.


Note You need to log in before you can comment on or make changes to this bug.